Subject: [Idr] Clarification for use of SAFI=128 for Prefix-SID

From: Rob Shakir <[email-masked]>
Date: Fri, 14 Nov 2014 13:05:11 -1000

Hi IDR,

As mentioned at the mic yesterday in the IDR meeting. I would like some clarification of what the use of the ‘prefix SID’ is in relation to SAFI=128. I’ve kept this as a separate thread from the more general discussion that is happening.

At the moment, SRGB is defined in draft-filsfils-spring-segment-routing as follows:

   SR Global Block (SRGB): local property of an SR node.  In the MPLS
   architecture, SRGB is the set of local labels reserved for global
   segments.  In the IPv6 architecture, it is the set of locally
   relevant IPv6 addresses.

In turn, we define a “Global Segment" as:

   Global Segment: the related instruction is supported by all the SR-
   capable nodes in the domain.  In the MPLS architecture, a Global
   Segment has a globally-unique index.  The related local label at a
   given node N is found by adding the globally-unique index to the SRGB
   of node N.  In the IPv6 architecture, a global segment is a globally-
   unique IPv6 address.

When applying to AFI=1,SAFI=1, assuming that prefixes that are tagged with the prefix SID attribute are domain-unique IP routes [which is my understanding of the proposed use-case], then this has similar semantics as are currently used within wider SR architecture [where SRGB is used for prefix/anycast SIDs — node is a special case of prefix]

However, I cannot find a case in which SRGB is used to allocate a label that is an inner label (as it would be for rfc4364 prefixes advertised with the Prefix-SID attribute). I also am unclear as to the use case for this.

Please can the authors clarify both what the use case for this is; the operation of the mechanism when applied to SAFI=128; and subsequently whether they feel that this places new requirements on the SRGB (my assumption is that it means that there are *significantly* more global segments required, since it is now proportional to number of *services*, not number of *internal prefixes*).

Thanks!
r.